package flow

// TODO: There are Chaos and Ultramarine versions of MainGame. Do we really want
// to duplicate everything for both?

func (f *Flow) linkMainGame() {
	// 3: Action menu

	// 4: Interface options menu
	f.onClick(mainGame, "4.1", f.setReturningDriver(mainGame, options)) // Options button
	// 4.2: Map button
	// 4.3: Mission objectives button
	// 4.4: Inventory
	// 4.5: Next man
	// 4.6: Next enemy
	// 4.7: Total enemy text

	// 5:  Holding menu
	// 6:  View menu
	// 7:  General character menu
	// 8:  Character stats
	// 9:  Visible enemy menu
	// 10: Friendly squad menu
	// 11: Psyker spell dialogue

	// FIXME: lots and lots and lots of wiring up to do.
	// For now, just link all the exit buttons to go back to the bridge
	f.onClick(mainGame, "11.6", func() {
		f.scenario = nil
		f.returnToLastDriverNow(mainGame)
	})

	// 12: Inventory dialogue
	f.onClick(mainGame, "12.21", func() {
		f.scenario = nil
		f.returnToLastDriverNow(mainGame)
	})

	// 13: Exchange menu

	f.onClick(mainGame, "13.1", func() {
		f.scenario = nil
		f.returnToLastDriverNow(mainGame)
	})

	// 14: Map

	// 15: Interface wing left
	// 16: Interface wing right
	// 17: Grenade dialogue
	// 18: Info dialogue
	// 19: Turn start dialogue
	// 20: Chat menu
	// 21: Chat list menu box
}
